package javanetworking.example04;

import java.net.InetAddress;
import java.net.UnknownHostException;

public class GetAllByName {
	public static void main(String[] args) {
		try {
			InetAddress[] address = InetAddress.getAllByName(args[0]);

			System.out.printf("Looking up %s%n", args[0]);

			for (int i = 0; i < address.length; i++) {
				String hostName = address[i].getHostName();
				String hostAddress = address[i].getHostAddress();

				System.out.printf("-> %s/%s%n", hostName, hostAddress);
			}
		} catch (UnknownHostException e) {
			System.out.println("Unknown host.");
		}
	}

}
